@echo checking .zip files
if exist zipcheck.dat del zipcheck.dat
if exist badcheck.dat del badcheck.dat
for %%1 in (*.zip) do pkunzip -t %%1 >> zipcheck.dat
find "has errors!" zipcheck.dat > badcheck.dat
type badcheck.dat
